For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dataset Connection

This allows users to configure and fetch data from external data sources such as SOL Databases, NoSQL Databases, File Drives etc.

Databases

MySQL/PostgreSQL, SQL-Server Databases

For MySQL if a port is not specified the default port is 3306 For PostgreSQL if a port is not specified the default port is 5432 SQL-Server doesn't require a database port

POST https://api.autogon.ai/api/v1/engine/create-dataset/

Headers

Name
Type
Description

Content-Type*

application/json

Request Body

Name
Type
Description

dataset_name*

String

database_name*

String

database_url*

String

server_type*

String

can be any of mysql, postgresql, and sql_server.

connection_type*

database

dataset_description*

String

database_user*

String

database_password*

String

table_name*

String

This is the specific table to be used as dataset

database_port*

String

MongoDB Database

POST https://api.autogon.ai/api/v1/engine/create-dataset/

Headers

Name
Type
Description

Content-Type

application/json

Request Body

Name
Type
Description

dataset_name*

String

database_url*

String

This is the MongoDB URI

server_type*

String

mongo

connection_type*

String

database

dataset_description*

String

table_name*

String

This is known as the collection name in mongo

database_name*

String

Oracle DB

POST https://api.autogon.ai/api/v1/engine/create-dataset/

database_url here refers to the Oracle connection string (connection_string is of the format hostname/servicename). This is also known as the dsn (data source name). It helps in identifying which database service to connect to.

Headers

Name
Type
Description

Content-Type

String

application/json

Request Body

Name
Type
Description

dataset_name*

String

database_password*

String

database_user*

String

server_type*

String

oracle

connection_type*

String

database

dataset_description*

String

database_url*

String

Oracle connection string

table_name*

String

Last updated

Was this helpful?